# setLifecycleLogLevel

abstract fun setLifecycleLogLevel(logLevel: AntBuilder.AntMessagePriority)

Sets the Ant message priority that should correspond to the Gradle "lifecycle" log level. Any messages logged at this priority (or more critical priority) will be logged at least at lifecycle in Gradle's logger. If the Ant priority already maps to a higher Gradle log level, it will continue to be logged at that level.

#### Parameters

logLevel

The Ant log level to map to the Gradle lifecycle log level

open fun setLifecycleLogLevel(logLevel: String)

Sets the Ant message priority that should correspond to the Gradle "lifecycle" log level. Any messages logged at this priority (or more critical priority) will be logged at least at lifecycle in Gradle's logger. If the Ant priority already maps to a higher Gradle log level, it will continue to be logged at that level. Acceptable values are "VERBOSE", "DEBUG", "INFO", "WARN", and "ERROR".

#### Parameters

logLevel

The Ant log level to map to the Gradle lifecycle log level